# TOMCAT_HOME environment variable define?
if [ -z $TOMCAT_HOME ]
then
	echo "TOMCAT_HOME environment variable is not define"
	echo "Refer to previous step for setting up environment variables."
	exit
fi
if [ ! -d $TOMCAT_HOME ]
then
	echo "TOMCAT_HOME ( $TOMCAT_HOME ) directory is missing."
	exit
fi
divertDir=$TOMCAT_HOME/webapps/divert 
if [ ! -d $divertDir ]
then
	echo "creating directory $divertDir"
	mkdir $divertDir
fi
echo "deploying divert.jar and Divert.html..."
cp divert.jar $divertDir
cp Divert.html $divertDir
echo "divert.jar and Divert.html successfully deployed to $divertDir"
#
# install servlets
servletDir=$divertDir/WEB-INF
if [ ! -d $servletDir ]
then
	echo "creating directory $servletDir"
	mkdir $servletDir
fi
servletDir=$servletDir/classes
if [ ! -d $servletDir ]
then
	echo "creating directory $servletDir"
	mkdir $servletDir
fi
echo "deploying serlvets..."
cp DivertServlet.class $servletDir
cp DivertServlet.properties $servletDir
cp z2Element.class $servletDir
cp UpdParent.class $servletDir
cp UrlLoad.class $servletDir
cp Cookies.class $servletDir
cp a.class $servletDir
cp linux/Validate.class $servletDir
echo "servlets classes successfully deployed to $servletDir"
echo "deploying libz2divert.so"
cp libz2divert.so $TOMCAT_HOME/bin
echo "libz2divert.so successfully deployed to $TOMCAT_HOME/bin" 
